UdpSocketFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.udp.UdpSocketFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.udp
Class UdpSocketFactory

    java.lang.Object
      org.mule.transport.udp.UdpSocketFactory

All Implemented Interfaces:
  KeyedPoolableObjectFactory

Direct Known Subclasses:
  MulticastSocketFactory

    public class UdpSocketFactory

extends Object
implements KeyedPoolableObjectFactory

Creates a client socket using the host and port address supplied in the endpoint URI. Addtional socket parameters will also be set from the connector

Field Summary
`protected Log` | `logger` logger used by this class

Constructor Summary
`UdpSocketFactory()`

Method Summary
`void` | `activateObject(Object key, Object object)`
`protected DatagramSocket` | `createSocket()`
`protected DatagramSocket` | `createSocket(int port)`
`protected DatagramSocket` | `createSocket(int port, InetAddress inetAddress)`
`void` | `destroyObject(Object key, Object object)`
`Object` | `makeObject(Object key)`
`void` | `passivateObject(Object key, Object object)`
`boolean` | `validateObject(Object key, Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient Log logger

  logger used by this class

Constructor Detail

### UdpSocketFactory

    public UdpSocketFactory()

Method Detail

### makeObject

    public Object makeObject(Object key)
                      throws Exception

  Specified by:
    `makeObject` in interface `KeyedPoolableObjectFactory`
  Throws:
    `Exception`

### destroyObject

    public void destroyObject(Object key,
                              Object object)
                       throws Exception

  Specified by:
    `destroyObject` in interface `KeyedPoolableObjectFactory`
  Throws:
    `Exception`

### validateObject

    public boolean validateObject(Object key,
                                  Object object)

  Specified by:
    `validateObject` in interface `KeyedPoolableObjectFactory`

### activateObject

    public void activateObject(Object key,
                               Object object)
                        throws Exception

  Specified by:
    `activateObject` in interface `KeyedPoolableObjectFactory`
  Throws:
    `Exception`

### passivateObject

    public void passivateObject(Object key,
                                Object object)
                         throws Exception

  Specified by:
    `passivateObject` in interface `KeyedPoolableObjectFactory`
  Throws:
    `Exception`

### createSocket

    protected DatagramSocket createSocket()
                                   throws IOException

  Throws:
    `IOException`

### createSocket

    protected DatagramSocket createSocket(int port)
                                   throws IOException

  Throws:
    `IOException`

### createSocket

    protected DatagramSocket createSocket(int port,
                                          InetAddress inetAddress)
                                   throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.